ubuntu/+source/language-selector:ubuntu/precise-devel

Last commit made on 2013-09-18
Get this branch:
git clone -b ubuntu/precise-devel https://git.launchpad.net/ubuntu/+source/language-selector
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/precise-devel
Repository:
lp:ubuntu/+source/language-selector

Recent commits

341a5d4... by Marc Deslauriers on 2013-09-13

Import patches-unapplied version 0.79.4 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 6586ccdd6e1ff71e525bdc28153412cf7467f81b

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - dbus_backend/ls-dbus-backend: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1066

6586ccd... by Gunnar Hjalmarsson on 2013-04-09

Import patches-unapplied version 0.79.3 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 1d5dd6469338f42332075cc455e7b3e71c0c63ff

New changelog entries:
  * language_support_pkgs.py:
    Fix of TypeError in _expand_pkg_pattern() (LP: #1161953).

1d5dd64... by Gunnar Hjalmarsson on 2013-02-27

Import patches-unapplied version 0.79.2 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 53bbdae0d2099dca0f157283b94159a43240a52a

New changelog entries:
  * LanguageSelector/LanguageSelector.py:
    Call missing() in language_support_pkgs.py instead of
    by_locale(), so the check for missing language support packages
    is carried out for all the installed languages, not only for the
    current system language (LP: #1134364).
  * language_support_pkgs.py:
    - Hack to prevent that users are prompted to install hunspell-de-xx
      when the enhanced (and conflicting) hunspell-de-xx-frami is
      installed (LP: #1103547).
    - Changes in available_languages() to avoid that users are prompted
      to install language support for non-installed languages. That
      could happen if there were other locales on the system but the
      locales representing the installed languages (LP: #1134364).
  * LanguageSelector/LangCache.py:
    When a language is removed, don't remove packages that are not
    language specific (LP: #37707).
  * debian/control:
    Bump the accountsservice dependency.

53bbdae... by Colin Watson on 2013-02-13

Import patches-unapplied version 0.79.1 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 35c53aea85cba5b04c9c2a2f9f5648db46c936cc

New changelog entries:
  * check-language-support: De-duplicate output for a single target language
    (LP: #1056689).

35c53ae... by Gunnar Hjalmarsson on 2012-04-18

Import patches-unapplied version 0.79 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: facb33c877525124887c4d1d255b8a14e8e163ce

New changelog entries:
  * Update of help document (LP: #983951).

facb33c... by Sebastien Bacher on 2012-04-13

Import patches-unapplied version 0.78 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 5dfcbf3fd7e8dea339cc0f417f0e56fdc158d59c

New changelog entries:
  * Updated translations from launchpad (lp: #980842)

5dfcbf3... by Martin Pitt on 2012-03-30

Import patches-unapplied version 0.77 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 57b874da03a96ced67839428d139616451195c87

New changelog entries:
  * dbus_backend/ls-dbus-backend: Set LC_IDENTIFICATION as well, to comply
    with what Ubiquity does. (LP: #926207)
  * tests/test_language_support_pkgs.py: Fix
    test_by_package_and_locale_noinstalled() for current pkg_depends: gedit
    does not need aspell any more, use abiword as trigger package.
  * language_support_pkgs.py, _expand_pkg_pattern(): Special-case "zh-han[st]"
    values for the locale. These are not actual locales, but e. g. Ubiquity
    assumes this works. So let these mean "zh_CN" and "zh_TW" respectively.
    Add a test case to tests/test_language_support_pkgs.py. (LP: #963460)

57b874d... by Steve Langasek on 2012-03-27

Import patches-unapplied version 0.76 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 35b190510a83a15b9fde4a5aa0b7fa7779926da0

New changelog entries:
  * Add conffile upgrade handling for ko-kr conffiles dropped since lucid.

35b1905... by Martin Pitt on 2012-03-16

Import patches-unapplied version 0.75 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 335ac9ca9e7e2b593f8f4a76b12eb116f1ee893f

New changelog entries:
  [ Jinkyu Yi ]
  * data/pkg_depends:
    - Add fonts-unfonts-core for fonts-nanum's fallback
    - Remove ttf-alee, fonts-nanum-extra to reduce ko-related packages
      (refer to task-korean-desktop at Debian)
    - remove nabi, Unity can't support it

335ac9c... by Martin Pitt on 2012-03-15

Import patches-unapplied version 0.74 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: b2171537fac4c02c707837fd2dd43443ccf7b511

New changelog entries:
  * data/pkg_depends: Add fonts-ukij-uyghur for Uyghur. Thanks to Eagle
    Burkut for pointing this out.